Bug 10168 - built-in sanity tests fail on alpha
built-in sanity tests fail on alpha
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
6.2
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-14 12:25 EST by Brock Organ
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-10 17:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-03-14 12:25:09 EST
[root@test162 tests]# rpm -q openldap
openldap-1.2.9-5

[root@test162 tests]# pwd
/usr/src/redhat/BUILD/openldap-1.2.9/tests

[root@test162 tests]# make
ln: ./data: cannot overwrite directory
make: [all-local] Error 1 (ignored)
Initiating LDAP tests...
>>>>> Executing all LDAP tests...
>>>>> Test Directory: .
>>>>> Backend: ldbm
>>>>> Starting test001-ldif2ldbm ...
running defines.sh . ldbm
Datadir is ./data
Cleaning up in ./test-db...
Running ldif2ldbm to build slapd database...
ldif2ldbm failed!
>>>>> ./scripts/test001-ldif2ldbm failed (exit 1)
make: *** [all-local] Error 1
[root@test162 tests]#
Comment 1 Nalin Dahyabhai 2000-03-16 08:26:59 EST
This is a glibc limitation on Alphas.  It's fixed in CVS, and will be fixed in
the next build of the glibc package.
Comment 2 Brock Organ 2000-04-05 13:34:59 EDT
resolved in alpha RCs ...
Comment 3 Nalin Dahyabhai 2000-06-10 17:32:01 EDT
The 6.2 final release had the fix in glibc for this.

Note You need to log in before you can comment on or make changes to this bug.